Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13540/?format=api
{ "ob_id": 13540, "uuid": "687ad123093743c7b291795cf2a7d3a7", "title": "Met Office Unified Model (UM) Operational Output: North Atlantic European (NAE) data", "abstract": "Data from the operational NWP (Numerical Weather Prediction) output from the Met Office Unified Model. These data are from both the Global and the North Atlantic European (NAE) part of the model. The NAE model runs on a grid centred around the UK. Analyses and intermediate forecast steps are stored to give an hourly time resolution for 6 hours following each analysis time-step. This archive only holds data to January 2012. A new NWP archive is being populated with data from January 2012.\r\n\r\nThe Met Office's North Atlantic and European model (NAE) model had 70 levels with a 12 km resolution.", "keywords": "ATMOSPHERIC WINDS ATMOSPHERE ATMOSPHERIC TEMPERATURE ATMOSPHERIC WATERVAPOR ATMOSPHERIC PRESSURE", "publicationState": "removed", "dataPublishedTime": "2016-04-14T08:07:09", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "retired", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13541/?format=api", "dataPath": "/badc/ukmo-um/data/nae/na", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 976, "numberOfFiles": 1, "fileFormat": "Data are pp formatted stored as binary files." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3652/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22876/?format=api" ], "dataLineage": "Data provided by the UK Met Office for archiving at the BADC. Following data transfer issues between the Met Office and the BADC, the Met Office NWP data updates were suspended on 18th January 2012. Archive was closed down.", "removedDataTime": "2019-05-15T08:07:22", "removedDataReason": "Data has been removed as it has been superseded.", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/555/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7215/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51715/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51716/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51713/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51717/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51718/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51719/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51720/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51714/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55439/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168751/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/1045/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2667/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://creativecommons.org/licenses/by-nc-sa/4.0/", "licenceClassifications": "personal, academic, policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }